org.apache.ignite.spi.systemview.view

## Class ComputeTaskView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.ComputeTaskView

    public class ComputeTaskView
    extends Object

Compute task representation for a `SystemView`.

### Constructor Summary

Constructors
Constructor and Description
`ComputeTaskView(IgniteUuid id, GridTaskWorker worker)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`@Nullable String` `affinityCacheName()`
`int` `affinityPartitionId()`
`long` `endTime()`
`String` `execName()`
`IgniteUuid` `id()`
`boolean` `internal()`
`IgniteUuid` `jobId()` Deprecated. Use `id()` or `sessionId()` instead.
`IgniteUuid` `sessionId()` `sessionId()` value equal to the value of `ComputeJobView.sessionId()` if both records represents parts of the same computation.
`long` `startTime()`
`String` `taskClassName()`
`String` `taskName()`
`UUID` `taskNodeId()`
`String` `userVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComputeTaskView

    public ComputeTaskView(IgniteUuid id,
                           GridTaskWorker worker)

Parameters:
  `id` - Task id.
  `worker` - Worker for task.

### Method Detail

#### id

    public IgniteUuid id()

Returns:
  Task id.

#### sessionId

    public IgniteUuid sessionId()

`sessionId()` value equal to the value of `ComputeJobView.sessionId()` if both records represents parts of the same computation.

Returns:
  Session id.
See Also:
  `ComputeJobView.sessionId()`

#### taskNodeId

    public UUID taskNodeId()

Returns:
  Task node id.

#### internal

    public boolean internal()

Returns:
  `True` if task is internal.

#### taskName

    public String taskName()

Returns:
  Task name.

#### taskClassName

    public String taskClassName()

Returns:
  Task class name.

#### startTime

    public long startTime()

Returns:
  Start time in milliseconds.

#### endTime

    public long endTime()

Returns:
  End time in milliseconds.

#### execName

    public String execName()

Returns:
  Executor name.

#### affinityCacheName

    @Nullable
    public @Nullable String affinityCacheName()

Returns:
  Affinity cache name or `null` for non affinity call.

#### affinityPartitionId

    public int affinityPartitionId()

Returns:
  Affinity partition id or `-1` for non affinity call.

#### jobId

    @Deprecated
    public IgniteUuid jobId()

Deprecated. Use `id()` or `sessionId()` instead.

Returns:
  Job id.

#### userVersion

    public String userVersion()

Returns:
  User provided version.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022